Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.installer
Class MmInstallerTools

    java.lang.Object
      edu.udo.cs.miningmart.installer.MmInstallerTools

public class MmInstallerTools
extends java.lang.Object

Author:
  Timm Euler A class that handles creating and updating the M4 schema.

Constructor Summary
`MmInstallerTools(DB myM4Db)` The constructor gets the DB connection object needed to access the M4 database schema.

Method Summary
`static java.lang.String` | `createHomePropertiesFile(java.lang.String homeDirectory)` Creates the file MiningMartHome.properties and sets the system property "MM_HOME" into the file.
`void` | `createM4Tables(java.lang.String fileNameAndPath)` This method assumes that no M4 tables exist in the database.
`static boolean` | `doInstallation(java.lang.String possibleHomeDirectory)`
`static void` | `ensureOperatorsAreInserted()`
`static boolean` | `installationIsValid()`
`void` | `installM4Sequence()`
`static boolean` | `makeDbConfigFile(java.lang.String nameForDbConfigFile, java.lang.String homePropertiesFileName)` A method to create a syntactically valid db.config file from information given by the user.
`static void` | `readSystemPropsFromHomeProperties(java.lang.String propFilename)`
`void` | `removeM4Sequence()`
`void` | `removeM4Tables()` This method ensures that all M4 tables are removed.
`void` | `writeOperatorsIntoSchema(java.lang.String fileAndPathWithOperatorInfo)` This method assumes that the M4 tables exist in the database, and updates the information about the operators (in the static part of M4) according to the SQL commands in the file whose name and path are given.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MmInstallerTools

    public MmInstallerTools(DB myM4Db)
                     throws M4Exception

  The constructor gets the DB connection object needed to access the M4 database schema.

Method Detail

### installationIsValid

    public static boolean installationIsValid()

### doInstallation

    public static boolean doInstallation(java.lang.String possibleHomeDirectory)

### createHomePropertiesFile

    public static java.lang.String createHomePropertiesFile(java.lang.String homeDirectory)

  Creates the file MiningMartHome.properties and sets the system property "MM_HOME" into the file. The Db config property will be set to a nonexisting filename.

  Parameters:
    `homeDirectory` - complete path of the MiningMart home directory
  Returns:
    the complete path and name of the created file

### readSystemPropsFromHomeProperties

    public static void readSystemPropsFromHomeProperties(java.lang.String propFilename)

### makeDbConfigFile

    public static boolean makeDbConfigFile(java.lang.String nameForDbConfigFile,
                                           java.lang.String homePropertiesFileName)

  A method to create a syntactically valid db.config file from information given by the user.

  Returns:
    False if any error occurred

### removeM4Tables

    public void removeM4Tables()
                        throws M4Exception

  This method ensures that all M4 tables are removed.

  Throws:
    `M4Exception`

### writeOperatorsIntoSchema

    public void writeOperatorsIntoSchema(java.lang.String fileAndPathWithOperatorInfo)
                                  throws M4Exception

  This method assumes that the M4 tables exist in the database, and updates the information about the operators (in the static part of M4) according to the SQL commands in the file whose name and path are given.

  Parameters:
    `fileAndPathWithOperatorInfo` - name and path of a file with SQL commands
  Throws:
    `M4Exception`

### ensureOperatorsAreInserted

    public static void ensureOperatorsAreInserted()

### createM4Tables

    public void createM4Tables(java.lang.String fileNameAndPath)
                        throws M4Exception

  This method assumes that no M4 tables exist in the database. It creates them if the file whose name and path are given contains the commands for creating them.

  Parameters:
    `fileNameAndPath` - name and path of a file with SQL commands
  Throws:
    `M4Exception`

### removeM4Sequence

    public void removeM4Sequence()
                          throws M4Exception

  Throws:
    `M4Exception`

### installM4Sequence

    public void installM4Sequence()
                           throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005